%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 6
%define libname %mklibname matedict %{major}
%define develname %mklibname -d matedict

Summary: MATE utility programs such as file search and calculator
Name: mate-utils
Version: 1.24.0
Release: %mkrel 2
Group: Graphical desktop/MATE
License: GPLv2+ and LGPLv2+
URL: http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1: mate-system-log.wrapper
Source2: org.mageia-mate-system-log.policy.in

BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libgtop-2.0) >= 2.12.0
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= 1.22.0
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(popt)
BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: yelp-tools
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: inkscape
BuildRequires: librsvg
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(udisks2)

Requires: mate-dictionary = %{version}-%{release}
Requires: mate-screenshot = %{version}-%{release}
Requires: mate-search-tool = %{version}-%{release}
Requires: mate-system-log = %{version}-%{release}
Requires: mate-disk-usage-analyzer = %{version}-%{release}
Requires: %{name}-common = %{version}-%{release}
Requires: polkit

%description
MATE Desktop utilities is a collection of small applications
all there to make your day just that little bit brighter
- System Log Viewer, Search Tool, Dictionary.

%package -n %{name}-common
Summary: Common files for %{name}
BuildArch: noarch
Obsoletes: %{name} < 1.16.0
Requires: mate-desktop-schemas

%description -n %{name}-common
MATE Desktop utilities is a collection of small applications
all there to make your day just that little bit brighter
- System Log Viewer, Search Tool, Dictionary.

This package provides common files for Mate Desktop utilities.

%package -n mate-system-log
Summary: A log file viewer for the MATE desktop
Requires: %{name}-common = %{version}-%{release}

%description -n mate-system-log
An application that lets you view various system log files.

%package -n mate-screenshot
Summary: A utility to take a screen-shot of the desktop
Requires: %{name}-common = %{version}-%{release}

%description -n mate-screenshot
An application that let you take a screen-shot of your desktop.

%package -n mate-dictionary
Summary: A dictionary for MATE Desktop
Requires: %{name}-common = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n mate-dictionary
A dictionary application for MATE Desktop.

%package -n mate-search-tool
Summary: A file searching tool for MATE Desktop
Requires: %{name}-common = %{version}-%{release}

%description -n mate-search-tool
An application to search for files on your computer.

%package -n mate-disk-usage-analyzer
Summary: A disk usage analyzing tool for MATE Desktop
Requires: %{name}-common = %{version}-%{release}

%description -n mate-disk-usage-analyzer
An application to help analyze disk usage.

%package -n mate-disk-image-mounter
Summary: A disk image mounter for MATE Desktop
Requires: %{name}-common = %{version}-%{release}

%description -n mate-disk-image-mounter
An application to mount images.

%package -n %{libname}
Group: System/Libraries
Summary:MATE dictionary shared library
Obsoletes: %{_lib}matedict1.0_6 < 1.16.0

%description -n %{libname}
This is the shared library required by the MATE Dictionary.

%package -n %{develname}
Group: Development/C
Summary: MATE dictionary library development files
Requires: %{libname} = %{version}-%{release}
Provides: libmatedict-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}matedict1.0-devel < 1.16.0

%description -n %{develname}
Shared library required by the MATE Dictionary.

%prep
%autosetup

%build
%configure \
    --disable-static \
    --disable-schemas-compile \
    --enable-gdict-applet \
    --enable-ipv6=yes \
    --disable-schemas-compile \
    --with-x

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

# make mate-system-log use polkit:
mkdir -p %{buildroot}%{_libexecdir}
mv %{buildroot}%{_bindir}/mate-system-log %{buildroot}%{_libexecdir}
install -m 755 %{_sourcedir}/mate-system-log.wrapper %{buildroot}%{_bindir}/mate-system-log
install -m 644 -D %{_sourcedir}/org.mageia-mate-system-log.policy.in %{buildroot}%{_datadir}/polkit-1/actions/org.mageia.mate-system-log.policy

%find_lang %{name} --with-gnome
%find_lang mate-disk-usage-analyzer --with-gnome
%find_lang mate-dictionary --with-gnome
%find_lang mate-search-tool --with-gnome
%find_lang mate-system-log --with-gnome

%files

%files -n %{name}-common -f %{name}.lang
%license COPYING COPYING.libs
%doc NEWS README

%files -n mate-system-log -f mate-system-log.lang
%{_bindir}/mate-system-log
%{_libexecdir}/mate-system-log
%{_datadir}/polkit-1/actions/org.mageia.mate-system-log.policy
%{_datadir}/glib-2.0/schemas/org.mate.system-log.gschema.xml
%{_datadir}/applications/mate-system-log.desktop
%{_datadir}/icons/hicolor/*/apps/mate-system-log.png
%{_datadir}/icons/hicolor/scalable/apps/mate-system-log-symbolic.svg
%{_mandir}/man1/mate-system-log.1.*

%files -n mate-screenshot
%{_bindir}/mate-screenshot
%{_bindir}/mate-panel-screenshot
%{_datadir}/applications/mate-screenshot.desktop
%{_mandir}/man1/mate-screenshot.1.*
%{_mandir}/man1/mate-panel-screenshot.1.*
%{_datadir}/glib-2.0/schemas/org.mate.screenshot.gschema.xml
%{_datadir}/metainfo/mate-screenshot.appdata.xml

%files -n mate-dictionary -f mate-dictionary.lang
%doc mate-dictionary/AUTHORS
%doc mate-dictionary/README
%{_bindir}/mate-dictionary
%{_datadir}/applications/mate-dictionary.desktop
%{_datadir}/mate-dict/
%{_datadir}/mate-dictionary/
%{_libexecdir}/mate-dictionary-applet
%{_mandir}/man1/mate-dictionary.1.*
%{_datadir}/glib-2.0/schemas/org.mate.dictionary.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.DictionaryApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.DictionaryAppletFactory.service
%{_datadir}/gtk-doc/html/mate-dict
%{_datadir}/metainfo/mate-dictionary.appdata.xml

%files -n mate-search-tool -f mate-search-tool.lang
%{_bindir}/mate-search-tool
%{_datadir}/applications/mate-search-tool.desktop
%{_mandir}/man1/mate-search-tool.1.*
%{_datadir}/glib-2.0/schemas/org.mate.search-tool.gschema.xml
%{_datadir}/pixmaps/mate-search-tool/
%{_datadir}/metainfo/mate-search-tool.appdata.xml

%files -n mate-disk-usage-analyzer -f mate-disk-usage-analyzer.lang
%doc baobab/AUTHORS
%doc baobab/README
%{_bindir}/mate-disk-usage-analyzer
%{_datadir}/applications/mate-disk-usage-analyzer.desktop
%{_mandir}/man1/mate-disk-usage-analyzer.1.*
%{_datadir}/glib-2.0/schemas/org.mate.disk-usage-analyzer.gschema.xml
%{_datadir}/icons/hicolor/*/apps/mate-disk-usage-analyzer.*
%{_datadir}/metainfo/mate-disk-usage-analyzer.appdata.xml

%files -n mate-disk-image-mounter
%{_bindir}/mate-disk-image-mounter   
%{_datadir}/applications/mate-disk-image-mounter.desktop

%files -n %{libname}
%_libdir/libmatedict.so.%{major}*

%files -n %{develname}
%{_libdir}/libmatedict.so
%{_libdir}/pkgconfig/mate-dict*.pc
%{_includedir}/mate-dict


%changelog
* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548103
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488747
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465691
- Update to version 1.22.2

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397092
- BR librsvg
- BR pkgconfig(librsvg-2.0)
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375514
- Update to version 1.22.0

* Wed Dec 26 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1345156
- Update to version 1.20.2

* Sat Dec 01 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1337269
- Update to version 1.20.1
- Rolled back to r1299485

* Mon Nov 26 2018 kekepower <kekepower> 1.21.0-1.mga7
+ Revision: 1335534
- Update to version 1.21.0

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299485
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201505
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1187471
- Updated to 1.19.1 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174781
- Update to 1.19.0 version

* Wed Aug 23 2017 pterjan <pterjan> 1.18.1-2.mga7
+ Revision: 1143596
- Fix for new find_lang

* Wed Apr 05 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1095938
- Update to 1.18.1 version

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092647
- Update to 1.18.0 version
- Updated to 1.17.0 version

* Wed Dec 14 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1075155
- new version 1.16.0
- build with gtk3
- require mate-desktop-schemas in common sub pkg
- fix matedict lib and devel pkg names

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001504
- Update to 1.14.0 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 950458
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898525
-Update to 1.12.0 version

* Sat Sep 05 2015 wally <wally> 1.10.3-1.mga6
+ Revision: 872995
- new version 1.10.3

* Mon Jun 22 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 839573
- Update to 1.10.1 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 744721
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 737434
- Update to 1.8.1 version
- Use autosetup macro in spec file

* Sat Sep 27 2014 tv <tv> 1.8.0-4.mga5
+ Revision: 727214
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 682208
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 tarakbumba <tarakbumba> 1.8.0-2.mga5
+ Revision: 632722
- Switch from usermode to polkit
- Rebuild for libgtop2-2.30.0

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600112
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598348
- Update to 1.7.x version

* Thu Jan 09 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 565725
- Bugfix release update: 1.6.1

* Mon Nov 25 2013 tarakbumba <tarakbumba> 1.6.0-3.mga4
+ Revision: 553503
- Fixes mate-screenshot not saving choosen path (mga#11451)
- Various upstream bugfixes after version release

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531064
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445543
- imported package mate-utils

